View Issue Details

IDProjectCategoryView StatusLast Update
0035956FPCDocumentationpublic2019-08-16 16:12
ReporterLacaKAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.4Product Build 
Target VersionFixed in Version 
Summary0035956: Appendix G - Compiler defines during compilation - UNICODE
Descriptionhttps://www.freepascal.org/docs-html/prog/progap7.html
There is in Table G.4 row: Windows (winCE) WINCE, UNDER_CE, UNICODE

IIUC UNICODE should be changed to FPC_OS_UNICODE according to https://wiki.freepascal.org/User_Changes_3.0#Define_UNICODE_was_changed_to_FPC_OS_UNICODE
TagsNo tags attached.
Fixed in Revision1636
FPCOldBugId
FPCTarget-
Attached Files

Activities

Marco van de Voort

2019-08-14 20:56

manager   ~0117674

corrected. I checked the compiler source and indeed FPC_OS_UNICODE is defined for wince.

Issue History

Date Modified Username Field Change
2019-08-12 12:30 LacaK New Issue
2019-08-12 12:30 LacaK Status new => assigned
2019-08-12 12:30 LacaK Assigned To => Michael Van Canneyt
2019-08-14 20:56 Marco van de Voort Status assigned => resolved
2019-08-14 20:56 Marco van de Voort Resolution open => fixed
2019-08-14 20:56 Marco van de Voort Fixed in Revision => 1636
2019-08-14 20:56 Marco van de Voort FPCTarget => -
2019-08-14 20:56 Marco van de Voort Note Added: 0117674
2019-08-16 16:12 LacaK Status resolved => closed